<?php
namespace Controleur;

use Model\QuoteModel;
use Model\CommentaryModel;
use Gateway\Connection;
use Gateway\QuoteGateway;
use Gateway\CommentaryGateway;
use Gateway\AccueilGateway;

class VisitorControler {

    private QuoteModel $qMod;
    private CommentaryModel $cMod;
    private AccueilGateway $accueilGateway;
    
    public function __construct(){
        global $co;
        $this->qMod = new QuoteModel(new QuoteGateway($co));
        $this->cMod = new CommentaryModel(new CommentaryGateway($co));
        $this->accueilGateway = new AccueilGateway($co); 

    }

    public function accueil() {
        global $vues;

        // Récupérer la citation du jour via AccueilGateway
        $citationDuJour = $this->accueilGateway->getQuoteOfTheDay('fr');
        $suggestions = $this->accueilGateway->getSuggestions(0, 'fr');

        // Passer les données à la vue
        require_once $vues['accueil'];
    }

    public function quote(array $arg) {
        global $vues;
        $id= $arg['idQuote'] ?? 1;
        $q = $this->qMod->searchId($id);
        $c = $this->cMod->getComment($id);
        require_once $vues['quote'];
    }

    public function login() {
        global $vues;
        require_once $vues['login'];
    }

    public function signin() {
        global $vues;
        require_once $vues['signin'];
    }

    public function favorite() {
        global $vues;
        require_once $vues['favorite'];
    }
}
