<?php
namespace Gateway;

use PDO;

class AccueilGateway {

    private Connection $con;

    public function __construct(Connection $con) {
        $this->con = $con;
    }    

    public function getSuggestions(int $numpage, string $language): array {

        $username = $_SESSION['username'];
        $userId = $this->userGateway->getIdUser($username);

        $query = "SELECT q.id_quote, q.content, c.caracter, i.imgPath, s.title, s.dateS, q.likes, q.langue
        FROM Quote q
        JOIN Favorite f ON f.quote = q.id_quote
        JOIN Caracter c ON c.id_caracter = q.id_caracter
        JOIN Source s ON s.id_source = q.id_source
        JOIN Image i ON c.id_img = i.id_img
        WHERE q.isValide = true
          AND q.langue = :language
          AND f.users = :userId";

        return $this->con->getResults();
    }
}
